Bug 1781053 - WithDashboardResources HOC has incorrect comparison for alerts results
Summary: WithDashboardResources HOC has incorrect comparison for alerts results
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.3.0
Assignee: Samuel Padgett
QA Contact: Radim Hrazdil
URL:
Whiteboard:
Depends On: 1779076
Blocks: 1781055
TreeView+ depends on / blocked
 
Reported: 2019-12-09 08:05 UTC by Rastislav Wagner
Modified: 2020-01-23 11:18 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously if a dashboard card watched prometheus alerts the performance of the dashboard page could have been decreased due to incorrect comparison between old and new alerts. This fix corrects the comparison.
Clone Of: 1779076
: 1781055 (view as bug list)
Environment:
Last Closed: 2020-01-23 11:18:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 2805 0 None None None 2019-12-13 15:32:24 UTC
Red Hat Product Errata RHBA-2020:0062 0 None None None 2020-01-23 11:18:35 UTC

Comment 1 Rastislav Wagner 2019-12-09 08:06:39 UTC
fix is included in https://github.com/openshift/console/pull/2805

Comment 2 Radim Hrazdil 2019-12-09 08:26:20 UTC
Verified

Comment 4 errata-xmlrpc 2020-01-23 11:18:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.